lp:ubuntu/maverick-security/apturl

Created by James Westby on 2011-05-16 and last modified on 2011-05-16
Get this branch:
bzr branch lp:ubuntu/maverick-security/apturl
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

34. By Marc Deslauriers on 2011-05-16

* SECURITY UPDATE: denial of service via long apt URL (LP: #783594)
  - check URL for length and shorten it for error dialog in
    AptUrl/AptUrl.py, AptUrl/Parser.py, tests/apturlparse.py.
  - Patch thanks to Micheal Vogt
  - CVE number pending

33. By Harald Sitter on 2010-09-07

* Fix KDE protocol files to enlist in the local protocol class
  + This makes KRunner in KDE SC 4.5 pick up apt:foo as call to apturl again
* Bump standards version to 3.9.1
* Switch to dpkg-source 3
* Switch all packages to arch:any rather than all

32. By Jonathan Thomas on 2010-08-06

* Port apturl-kde to qapt-batch (LP: #497803)
* Replace the dependency on install-package with one on qapt-batch

31. By Chris Coulson on 2010-07-27

* Fix LP: #576944 - Move the Firefox preferences to /etc/firefox
  - update setup.py
  - add debian/apturl-common.postinst
  - add debian/apturl-common.preinst
* Don't install apturl.js in /usr/share/firerox - Firefox doesn't see this
  - update debian/apturl-common.install
  - update setup.py
* Add a couple of extra preferences for Firefox
  - update data/apturl.js

30. By Loïc Minier on 2010-03-15

Drop python-gtkhtml2 recommends (moved to webkit).

29. By Michael Vogt on 2010-03-08

* apturl.8:
  - add example for the "channel" parameter
* AptUrl/gtk/GtkUI.py:
  - use webkit instead of gtkhtml (ucid-duplicated-packages spec)
* debian/control:
  - add python-webkit depend on debian/control

28. By Harald Sitter on 2009-09-18

Reupload merged 0.4.0ubuntu5 and 0.4.1ubuntu1, forgot to bzr push -.-

27. By Michael Vogt on 2009-09-18

[ Harald Sitter ]
* Borrow encoding wrappers from GDebi to fix encodings in KDE UI

[ Michael Vogt ]
* AptUrl/gtk/GtkUI.py:
  - Use software-properites to enable componenents
* debian/control:
  - Remove dependency on gnome-app-install
  - Add software-properties-gtk

26. By Harald Sitter on 2009-09-10

* Borrow encoding wrappers from GDebi to fix encodings in KDE UI (implemented
  via Helpers). These new wrappers utf8, _ and _n are used throughout the
  whole application.
* Fix minor formatting error in KDE UI's _get_dialog
* link apturl's manpage to the apturl-gtk and apturl-kde manpages since
  they share the same argument parser anyway
* Bump standards version to 3.8.3
* Port package build system to dh 7
  + Build-depend on debhelper 7

25. By Michael Vogt on 2009-09-02

build without "DH_PYCENTRAL=include-links" for now,
to work around breakage when upgrading from the previous
version that was build without the include-links option
(LP: #422825)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/oneiric/apturl
This branch contains Public information 
Everyone can see this information.

Subscribers